Bug 240907 - multimedia/libhdhomerun: not discovering devices after update to 20190621
Summary: multimedia/libhdhomerun: not discovering devices after update to 20190621
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Many People
Assignee: Kubilay Kocak
URL:
Keywords: regression
Depends on:
Blocks:
 
Reported: 2019-09-28 17:45 UTC by Daniel Becker
Modified: 2019-10-01 03:24 UTC (History)
1 user (show)

See Also:
dor.bsd: maintainer-feedback+


Attachments
apply FreeBSD-specific patch from 20190625 release (1.18 KB, patch)
2019-09-28 18:06 UTC, Daniel Becker
no flags Details | Diff
multimedia/libhdhomerun: Add FreeBSD broadcast patch (2.02 KB, patch)
2019-09-30 16:54 UTC, David O'Rourke
dor.bsd: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Daniel Becker 2019-09-28 17:45:11 UTC
After the recent update to version 20190621 of the libhdhomerun port, "hdhomerun_config discover" no longer finds my tuners, nor do dependent ports like tvheadend.

Downgrading to version 20180327 of the libhdhomerun port resolves the issue immediately.
Comment 1 Daniel Becker 2019-09-28 17:46:58 UTC
The tuner in question is an HDCT-2US model, in case that might make any difference.

The 20190621 version does discover the tuner just fine on my Ubuntu machine, so it doesn't appear to be a general incompatibility.
Comment 2 Daniel Becker 2019-09-28 18:05:16 UTC
The problem appears to be that release 20190621 is missing a FreeBSD-specific fix; see here:

https://github.com/Silicondust/libhdhomerun/commit/b0e5d5f5c8e2bf37dea34beb014e08ebb598ebf6#diff-672256de6c340aafbb74eb9ec123423bL196

Interestingly, the commit title for that is "Release 20190625", but it doesn't look like such a release is actually available at downloads.silicondust.com.
Comment 3 Daniel Becker 2019-09-28 18:06:32 UTC
Created attachment 207923 [details]
apply FreeBSD-specific patch from 20190625 release
Comment 4 David O'Rourke 2019-09-30 09:51:58 UTC
Thanks for this. I had been playing with simply switching to using git as the upstream, but I'll use this patch and give them another chance.

I'll have a bit of time to test this later today and fix it up for inclusion in the port patches.
Comment 5 Kubilay Kocak freebsd_committer freebsd_triage 2019-09-30 09:55:08 UTC
Thank you for the report and investigation Daniel
Comment 6 David O'Rourke 2019-09-30 16:54:42 UTC
Created attachment 207961 [details]
multimedia/libhdhomerun: Add FreeBSD broadcast patch

This adds a FreeBSD specific patch from libhdhomerun git release 20190625, we also bump PORTREVISION to 1.

HDHomeRun discovery has been tested as working with this version against a HDHR5-4DT. The port passes portlint and testport in Poudriere.
Comment 7 commit-hook freebsd_committer 2019-10-01 03:23:50 UTC
A commit references this bug:

Author: koobs
Date: Tue Oct  1 03:23:18 UTC 2019
New revision: 513445
URL: https://svnweb.freebsd.org/changeset/ports/513445

Log:
  multimedia/libhdhomerun: Backport FreeBSD broadcast patch

  Release 20190621 caused a regression in the ability to discover tuner
  hardware, for example using: hdhomerun_config discover.

  This change backports a commit [1] marked as "Release 20190625" which
  doesn't (yet?) appear to be available/distributed.

  [1] https://github.com/Silicondust/libhdhomerun/commit/b0e5d5f5c8e2bf37dea34beb014e08ebb598ebf6

  PR:		240907
  Reported by:	Daniel Becker <razzfazz gmail com>
  Submitted by:	David O'Rourke <dor.bsd xm0 uk> (maintainer)

Changes:
  head/multimedia/libhdhomerun/Makefile
  head/multimedia/libhdhomerun/files/patch-hdhomerun__discover.c
Comment 8 Kubilay Kocak freebsd_committer freebsd_triage 2019-10-01 03:24:50 UTC
Committed with minor changes (add comment with upstream references to patch header)

Thank you for the report and fix Daniel & David